# Runway REST API > Reference for the Runway REST API and webhooks. Runway is a release management platform for mobile app teams. Every endpoint, webhook and model below links to a Markdown page; https://api-docs.runway.team/llms-full.txt has every endpoint and webhook page in one file. **About Runway** Runway (runway.team) is a release management platform for mobile app teams. Top mobile teams like DoorDash, monday.com, Skyscanner, Gusto, Wealthsimple, and Mercari use Runway to track, automate, and collaborate on their app releases. For more information, visit [our website](https://runway.team). **Introduction** Welcome to the Runway API and webhooks documentation! The REST API allows you to access information about your releases in Runway. You can also subscribe to webhook events sent by Runway. To get started, create an API key from your organization's dashboard – you'll use this key to authenticate requests to the API. **Authentication** All Runway REST API endpoints are authenticated via an API key passed as an `X-API-Key` header like so: ``` X-API-Key: {YOUR_API_KEY} ``` API keys are created from your organization's dashboard. **Schema** The Runway REST API is accessed via HTTPS, with a base URL of `https://api.runway.team`. All data is sent and received as JSON. Unless otherwise stated, dates are sent and received in the JSON Schema Validation [date-time format](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), in UTC. Most Runway REST API endpoints require one or more path parameters that correspond to the `id`s of various entities, like app and release. You can find your app's identifier in the Overview section of your app's Settings. To construct a release identifier for an existing release in an app, combine the app identifier with the release version like so: `{appId}:{version}`. For example, the release identifier of a release with version `1.1.0` on an app with an app identifier `myapp-ios` would be `myapp-ios:1.1.0`. **Rate limiting** Requests to the API will be limited to 5 requests per second, 8000 requests per day. ## Docs - [Full reference in one file](https://api-docs.runway.team/llms-full.txt): every endpoint and webhook page concatenated - [OpenAPI spec](https://api-docs.runway.team/openapi.json): OpenAPI 3.1 JSON for code generation and tooling - [MCP server](https://docs.runway.team/api/mcp-server.md): connect AI agents to Runway over the Model Context Protocol instead of calling the REST API directly - [MCP tools](https://api-docs.runway.team/reference/mcp-tools.md): tools the Runway MCP server exposes - [Runway product documentation](https://docs.runway.team/llms.txt): concepts, integrations and setup guides ## Org Operations to Runway organizations - [Get organization details](https://api-docs.runway.team/reference/getOrgById.md): `GET /org/{orgId}` - [List apps in organization](https://api-docs.runway.team/reference/listApps.md): `GET /org/{orgId}/apps` - [Get organization metrics](https://api-docs.runway.team/reference/getOrgMetrics.md): `GET /org/{orgId}/metrics` - [List all groups](https://api-docs.runway.team/reference/listGroups.md): `GET /org/{orgId}/group` - [Create a new group](https://api-docs.runway.team/reference/createGroup.md): `POST /org/{orgId}/group` - [Update ad hoc groups for users](https://api-docs.runway.team/reference/updateUserGroupsForUsers.md): `PUT /org/{orgId}/users/groups` - [Get a custom group](https://api-docs.runway.team/reference/getGroupById.md): `GET /org/{orgId}/group/{groupId}` - [Update a custom group](https://api-docs.runway.team/reference/updateGroupById.md): `PUT /org/{orgId}/group/{groupId}` - [Delete a custom group](https://api-docs.runway.team/reference/deleteGroupById.md): `DELETE /org/{orgId}/group/{groupId}` ## App Operations to Runway apps - [Get app details](https://api-docs.runway.team/reference/getAppById.md): `GET /app/{appId}` - [Get release schedule cadence](https://api-docs.runway.team/reference/getScheduleCadence.md): `GET /app/{appId}/scheduleCadence` - [Get lifecycle freezes](https://api-docs.runway.team/reference/getLifecycleFreezes.md): `GET /app/{appId}/lifecycleFreezes` - [Update lifecycle freezes](https://api-docs.runway.team/reference/updateLifecycleFreezes.md): `PUT /app/{appId}/lifecycleFreezes` - [Get release schedule](https://api-docs.runway.team/reference/getReleaseSchedule.md): `GET /app/{appId}/releaseSchedule` - [Get app store reviews](https://api-docs.runway.team/reference/getAppStoreReviews.md): `GET /app/{appId}/reviews` - [Enable or disable a scheduled release automation](https://api-docs.runway.team/reference/updateScheduledAutomation.md): `PUT /app/{appId}/automations` - [Get app configuration file](https://api-docs.runway.team/reference/getAppConfigFile.md): `GET /app/{appId}/app/config` - [Update an app - coming soon](https://api-docs.runway.team/reference/updateApp.md): `PATCH /app/{appId}/app/config` - [Delete an app - coming soon](https://api-docs.runway.team/reference/deleteApp.md): `DELETE /app/{appId}/app/config` - [Upload app icon](https://api-docs.runway.team/reference/uploadAppIcon.md): `POST /app/{appId}/icon` - [List app integrations](https://api-docs.runway.team/reference/listAppIntegrations.md): `GET /app/{appId}/integrations` - [Create an app from configuration file](https://api-docs.runway.team/reference/createAppFromConfig.md): `POST /org/{orgId}/app/config` - [Add a destination to an existing app's workflow from a configuration file](https://api-docs.runway.team/reference/addDestinationFromConfig.md): `POST /app/{appId}/destination/config` - [Upload App Store review attachment files](https://api-docs.runway.team/reference/uploadAppStoreReviewAttachmentFiles.md): `POST /app/{appId}/appStoreReviewAttachmentFiles` - [Pause or resume automations](https://api-docs.runway.team/reference/setAutomationPause.md): `PUT /app/{appId}/automations/pause` - [Post data to custom observability and analytics integration](https://api-docs.runway.team/reference/ingestCustomOBAAEvents.md): `POST /app/{appId}/integration/{integrationInstallationId}/events` - [Update auth credentials for an App Store Connect or Google integration](https://api-docs.runway.team/reference/updateIntegrationAuth.md): `POST /app/{appId}/integration/{integrationInstallationId}/updateAuth` - [List builds for a 'Custom CI' integration on a release](https://api-docs.runway.team/reference/listCustomCIBuilds.md): `GET /app/{appId}/integration/{integrationInstallationId}/build` - [Upload a build for a 'Custom CI' integration](https://api-docs.runway.team/reference/uploadCustomCIBuild.md): `POST /app/{appId}/integration/{integrationInstallationId}/build` - [Attach an additional file to a 'Custom CI' build](https://api-docs.runway.team/reference/uploadCustomCIAdditionalFile.md): `POST /app/{appId}/integration/{integrationInstallationId}/build/{buildId}/additionalFiles` - [Download Custom CI build artifact](https://api-docs.runway.team/reference/downloadCustomCIBuild.md): `GET /app/{appId}/integration/{integrationId}/build/{buildId}/download` - [Download Custom CI additional file](https://api-docs.runway.team/reference/downloadCustomCIBuildAdditionalFile.md): `GET /app/{appId}/integration/{integrationId}/build/{buildId}/additionalFiles/{filename}` - [Get an app's fix request form fields settings](https://api-docs.runway.team/reference/getFixRequestFormFieldsSettings.md): `GET /app/{appId}/fixRequestFormFieldsSettings` ## Release Operations to Runway releases - [List releases](https://api-docs.runway.team/reference/listReleases.md): `GET /v2/app/{appId}/releases` - [Create a new release](https://api-docs.runway.team/reference/createRelease.md): `POST /app/{appId}/release` - [List release tags](https://api-docs.runway.team/reference/getReleaseTags.md): `GET /app/{appId}/releaseTags` - [List cherry-pick candidate commits](https://api-docs.runway.team/reference/getCherryPickCandidateCommits.md): `GET /app/{appId}/cherryPickCandidateCommits` - [Get the details of a Runway release](https://api-docs.runway.team/reference/getReleaseById.md): `GET /v2/app/{appId}/releases/{releaseId}` - [Update a Runway release](https://api-docs.runway.team/reference/updateReleaseById.md): `PUT /app/{appId}/release/{releaseId}` - [Delete a Runway release](https://api-docs.runway.team/reference/deleteReleaseById.md): `DELETE /app/{appId}/release/{releaseId}` - [Get a release's custom metadata](https://api-docs.runway.team/reference/getReleaseCustomMetadata.md): `GET /app/{appId}/release/{releaseId}/metadata` - [Update a release's custom metadata](https://api-docs.runway.team/reference/updateReleaseCustomMetadata.md): `PUT /app/{appId}/release/{releaseId}/metadata` - [Get the details of a Runway release step](https://api-docs.runway.team/reference/getReleaseStepById.md): `GET /app/{appId}/release/{releaseId}/step/{stepId}` - [List the steps of a Runway release](https://api-docs.runway.team/reference/listReleaseSteps.md): `GET /app/{appId}/release/{releaseId}/steps` - [List the checklist items of a Runway release](https://api-docs.runway.team/reference/listReleaseChecklistItems.md): `GET /app/{appId}/release/{releaseId}/checklistItems` - [Get the details of a Runway release step run](https://api-docs.runway.team/reference/getReleaseStepRunById.md): `GET /app/{appId}/release/{releaseId}/stepRun/{stepRunId}` - [Download an artifact from the latest CI build](https://api-docs.runway.team/reference/downloadLatestCIBuildArtifactForStepRun.md): `GET /app/{appId}/release/{releaseId}/stepRun/{stepRunId}/build/latest/download` - [Update App Store metadata for a metadata step run](https://api-docs.runway.team/reference/updateStepRunMetadata.md): `PUT /app/{appId}/release/{releaseId}/stepRun/{stepRunId}/metadata` - [Get StepRun by StepConfig and Release](https://api-docs.runway.team/reference/getStepRunByStepConfigAndRelease.md): `GET /app/{appId}/stepConfig/{stepConfigId}/release/{releaseId}/stepRun` - [Get timeline events for a release](https://api-docs.runway.team/reference/getReleaseTimelineEvents.md): `GET /app/{appId}/release/{releaseId}/timelineEvents` - [Get timeline events for a step config](https://api-docs.runway.team/reference/getStepConfigTimelineEvents.md): `GET /app/{appId}/release/{releaseId}/stepConfig/{stepConfigId}/timelineEvents` - [Skip a Runway release](https://api-docs.runway.team/reference/skipRelease.md): `PUT /app/{appId}/release/{releaseId}/skip` - [Un-skip a Runway release](https://api-docs.runway.team/reference/unskipRelease.md): `PUT /app/{appId}/release/{releaseId}/unskip` - [Developer reject a build from submission](https://api-docs.runway.team/reference/developerRejectSubmission.md): `PUT /app/{appId}/release/{releaseId}/developerRejectSubmission` - [Developer reject a build from submission for a step run](https://api-docs.runway.team/reference/developerRejectSubmissionStepRun.md): `PUT /app/{appId}/release/{releaseId}/stepRun/{stepRunId}/developerRejectSubmission` - [Manually submit a release to the app store](https://api-docs.runway.team/reference/submitRelease.md): `PUT /app/{appId}/release/{releaseId}/submit` - [Update the regression testing status of a release](https://api-docs.runway.team/reference/updateRegressionStatus.md): `PUT /app/{appId}/release/{releaseId}/regressionStatus` - [List a release's feature flags](https://api-docs.runway.team/reference/getReleaseFeatureFlags.md): `GET /app/{appId}/release/{releaseId}/featureFlags` - [Enable or disable a feature flag](https://api-docs.runway.team/reference/toggleReleaseFeatureFlag.md): `PUT /app/{appId}/release/{releaseId}/featureFlag/{flagId}` - [Ignore or un-ignore Feature Readiness items](https://api-docs.runway.team/reference/ignoreUnignoreFeatureReadinessItems.md): `POST /app/{appId}/release/{releaseId}/frIgnoreUnignore` - [Search Feature Readiness items](https://api-docs.runway.team/reference/searchFeatureReadinessItems.md): `GET /app/{appId}/release/{releaseId}/featureReadiness/search` - [List fix requests on a release](https://api-docs.runway.team/reference/listFixRequests.md): `GET /app/{appId}/release/{releaseId}/fixRequest` - [Create a fix request](https://api-docs.runway.team/reference/createFixRequest.md): `POST /app/{appId}/release/{releaseId}/fixRequest` - [Get a fix request](https://api-docs.runway.team/reference/getFixRequest.md): `GET /app/{appId}/release/{releaseId}/fixRequest/{fixRequestId}` - [Approve a fix request](https://api-docs.runway.team/reference/approveFixRequest.md): `PUT /app/{appId}/release/{releaseId}/fixRequest/{fixRequestId}/approve` - [Reject a fix request](https://api-docs.runway.team/reference/rejectFixRequest.md): `PUT /app/{appId}/release/{releaseId}/fixRequest/{fixRequestId}/reject` - [Submit step run to app store](https://api-docs.runway.team/reference/submitStepRun.md): `PUT /app/{appId}/release/{releaseId}/step/{stepRunId}/submit` - [Update step run approval](https://api-docs.runway.team/reference/updateStepRunApproval.md): `PUT /app/{appId}/release/{releaseId}/stepRun/{stepRunId}/approval` - [Update regression step status](https://api-docs.runway.team/reference/updateStepRunRegressionStatus.md): `PUT /app/{appId}/release/{releaseId}/step/{stepRunId}/regressionStatus` - [Trigger CI workflow for a release-candidate step](https://api-docs.runway.team/reference/triggerCIWorkflow.md): `POST /app/{appId}/release/{releaseId}/stepRun/{stepRunId}/triggerCI` - [Set selected app store build for a step run](https://api-docs.runway.team/reference/setSelectedBuildsStepRun.md): `PUT /app/{appId}/release/{releaseId}/stepRun/{stepRunId}/selectedBuilds` - [Update the metadata or screenshots approval status of a release](https://api-docs.runway.team/reference/updateReleaseStepApproval.md): `PUT /app/{appId}/release/{releaseId}/approval/{stepType}` - [Generate AI release notes](https://api-docs.runway.team/reference/generateReleaseNotes.md): `POST /app/{appId}/release/{releaseId}/notes/{notesType}/{stepType}` ## Checklist item Operations to checklist items - [Create step checklist item](https://api-docs.runway.team/reference/createChecklistItem.md): `POST /app/{appId}/checklistItem` - [Get checklist item](https://api-docs.runway.team/reference/getChecklistItem.md): `GET /app/{appId}/checklistItem/{checklistItemId}` - [Update checklist item](https://api-docs.runway.team/reference/updateChecklistItem.md): `PUT /app/{appId}/checklistItem/{checklistItemId}` - [Update status for item](https://api-docs.runway.team/reference/updateChecklistItemStatus.md): `PUT /app/{appId}/release/{releaseId}/checklistItem/{checklistItemId}/status` - [Update comment for item](https://api-docs.runway.team/reference/updateChecklistItemComment.md): `PUT /app/{appId}/release/{releaseId}/checklistItem/{checklistItemId}/comment` ## Approval items Operations to approval items - [Create approval item](https://api-docs.runway.team/reference/createApproval.md): `POST /app/{appId}/approval` ## Regression testing items Operations to regression testing items - [Create regression testing item](https://api-docs.runway.team/reference/createRegressionItem.md): `POST /app/{appId}/regressionItem` - [Update regression testing item statuses in batch](https://api-docs.runway.team/reference/updateRegressionItemsBatch.md): `PUT /app/{appId}/regressionItems/batch` - [Create regression testing items in batch](https://api-docs.runway.team/reference/createRegressionItemsBatch.md): `POST /app/{appId}/regressionItems/batch` - [Delete regression testing items in batch](https://api-docs.runway.team/reference/deleteRegressionItemsBatch.md): `DELETE /app/{appId}/regressionItems/batch` ## Triage issues Operations to triage issues - [List triage issues for an app](https://api-docs.runway.team/reference/listTriageIssues.md): `GET /app/{appId}/triageIssue` - [Create a triage issue](https://api-docs.runway.team/reference/createTriageIssue.md): `POST /app/{appId}/triageIssue` - [Get a triage issue](https://api-docs.runway.team/reference/getTriageIssue.md): `GET /app/{appId}/triageIssue/{issueId}` - [Request a fix for a triage issue](https://api-docs.runway.team/reference/requestTriageIssueFix.md): `POST /app/{appId}/triageIssue/{issueId}/requestFix` ## Build Distro Operations to Build Distro models - [List all buckets](https://api-docs.runway.team/reference/listBuckets.md): `GET /app/{appId}/bucket` - [Create a bucket](https://api-docs.runway.team/reference/createBucket.md): `POST /app/{appId}/bucket` - [Get a bucket's details](https://api-docs.runway.team/reference/getBucket.md): `GET /app/{appId}/bucket/{bucketId}` - [Update a bucket](https://api-docs.runway.team/reference/updateBucket.md): `PATCH /app/{appId}/bucket/{bucketId}` - [Get a bucket's builds](https://api-docs.runway.team/reference/getBucketBuilds.md): `GET /app/{appId}/bucket/{bucketId}/builds` - [Get a bucket build's details](https://api-docs.runway.team/reference/getBucketBuildDetails.md): `GET /app/{appId}/bucket/{bucketId}/build/{buildDistroBuildId}` - [Update a build's details](https://api-docs.runway.team/reference/updateBucketBuild.md): `PATCH /app/{appId}/bucket/{bucketId}/build/{buildDistroBuildId}` - [Delete a build](https://api-docs.runway.team/reference/deleteBucketBuild.md): `DELETE /app/{appId}/bucket/{bucketId}/build/{buildDistroBuildId}` - [Download a bucket build](https://api-docs.runway.team/reference/downloadBucketBuild.md): `GET /app/{appId}/bucket/{bucketId}/build/{buildDistroBuildId}/download` - [Upload a build to a bucket](https://api-docs.runway.team/reference/uploadBucketBuild.md): `POST /app/{appId}/bucket/{bucketId}/build` - [Attach a file to a build](https://api-docs.runway.team/reference/uploadBuildAdditionalFile.md): `POST /app/{appId}/bucket/{bucketId}/build/{buildDistroBuildId}/additionalFiles` - [Download an additional file for a bucket build](https://api-docs.runway.team/reference/downloadBucketBuildAdditionalFile.md): `GET /app/{appId}/bucket/{bucketId}/build/{buildDistroBuildId}/additionalFiles/{fileName}` ## Webhooks - [release.kickedOff](https://api-docs.runway.team/reference/webhooks/release.kickedOff.md): When a release is kicked off. All platforms. - [release.submitted](https://api-docs.runway.team/reference/webhooks/release.submitted.md): When an app update was submitted for review. iOS and Android platforms only. - [release.released](https://api-docs.runway.team/reference/webhooks/release.released.md): When an app update was released to users. iOS and OTA platforms only. - [release.created](https://api-docs.runway.team/reference/webhooks/release.created.md): When a new release was drafted in Runway. All platforms. - [release.targetDateUpdated](https://api-docs.runway.team/reference/webhooks/release.targetDateUpdated.md): When target dates were updated for the release. All platforms. - [release.pilotChanged](https://api-docs.runway.team/reference/webhooks/release.pilotChanged.md): When the release pilot for a release was changed. All platforms. - [release.regressionStatusUpdated](https://api-docs.runway.team/reference/webhooks/release.regressionStatusUpdated.md): When the regression status in a release is updated. - [release.kickoffReminder](https://api-docs.runway.team/reference/webhooks/release.kickoffReminder.md): When a reminder is sent that your release is scheduled to be kicked off soon. All platforms. - [release.submitReminder](https://api-docs.runway.team/reference/webhooks/release.submitReminder.md): When a reminder is sent that your update is scheduled to be submitted for review soon. iOS and Android platforms only. - [release.releaseReminder](https://api-docs.runway.team/reference/webhooks/release.releaseReminder.md): When a reminder is sent that your update is scheduled to be released soon. iOS platforms only. - [release.stepsReadyToSubmit](https://api-docs.runway.team/reference/webhooks/release.stepsReadyToSubmit.md): When all required release steps are complete; your app update is ready to submit for review. iOS and Android platforms only. - [release.stepsReadyToRelease](https://api-docs.runway.team/reference/webhooks/release.stepsReadyToRelease.md): When all required release steps are complete; your app update is ready to release. iOS platforms only. - [releaseStep.statusChanged](https://api-docs.runway.team/reference/webhooks/releaseStep.statusChanged.md): When the status of a release step in Runway has changed. All platforms. - [appStoreVersion.statusUpdated](https://api-docs.runway.team/reference/webhooks/appStoreVersion.statusUpdated.md): When the status of an app store version has changed. iOS and Android platforms only. - [appStoreVersion.phasedReleaseUpdated](https://api-docs.runway.team/reference/webhooks/appStoreVersion.phasedReleaseUpdated.md): When the status of a phased/staged rollout has changed. iOS and Android platforms only. - [checklistItem.statusChanged](https://api-docs.runway.team/reference/webhooks/checklistItem.statusChanged.md): When the status of a checklist item, regression testing item, or approval item has changed. All platforms. - [buildDistro.newBuildAvailable](https://api-docs.runway.team/reference/webhooks/buildDistro.newBuildAvailable.md): When a new Build Distro build is available in a given bucket - [buildDistro.buildArtifactAvailable](https://api-docs.runway.team/reference/webhooks/buildDistro.buildArtifactAvailable.md): When the artifact of a new Build Distro build is available for download - [ciBuild.statusChanged](https://api-docs.runway.team/reference/webhooks/ciBuild.statusChanged.md): When the status of a CI build changes. - [ciBuild.appStoreBuildAssociated](https://api-docs.runway.team/reference/webhooks/ciBuild.appStoreBuildAssociated.md): When an app store build is found and associated with a CI build - [appStoreBuild.newBuildAvailable](https://api-docs.runway.team/reference/webhooks/appStoreBuild.newBuildAvailable.md): When a new app store build has been found. iOS and Android platforms only. - [fixRequest.created](https://api-docs.runway.team/reference/webhooks/fixRequest.created.md): When a fix request is created on a release. - [fixRequest.approved](https://api-docs.runway.team/reference/webhooks/fixRequest.approved.md): When a fix request receives the required number of approvals. - [fixRequest.rejected](https://api-docs.runway.team/reference/webhooks/fixRequest.rejected.md): When a fix request is rejected. - [fixRequest.merged](https://api-docs.runway.team/reference/webhooks/fixRequest.merged.md): When all code changes for a fix request are merged into the release branch. - [betaBuild.newBuildAvailable](https://api-docs.runway.team/reference/webhooks/betaBuild.newBuildAvailable.md): When a new beta build has been found. iOS and Android platforms only. ## Optional - [WebhookPayload](https://api-docs.runway.team/reference/models/WebhookPayload.md) - [WebhookAppPayload](https://api-docs.runway.team/reference/models/WebhookAppPayload.md) - [WebhookReleasePayload](https://api-docs.runway.team/reference/models/WebhookReleasePayload.md) - [WebhookBuildDistroBuildPayload](https://api-docs.runway.team/reference/models/WebhookBuildDistroBuildPayload.md) - [WebhookAppStoreBuildPayload](https://api-docs.runway.team/reference/models/WebhookAppStoreBuildPayload.md) - [WebhookCIBuildPayload](https://api-docs.runway.team/reference/models/WebhookCIBuildPayload.md) - [WebhookReleaseStepsPayload](https://api-docs.runway.team/reference/models/WebhookReleaseStepsPayload.md) - [WebhookAppStoreVersionDataPayload](https://api-docs.runway.team/reference/models/WebhookAppStoreVersionDataPayload.md) - [WebhookChecklistItemPayload](https://api-docs.runway.team/reference/models/WebhookChecklistItemPayload.md) - [WebhookFixRequestPayload](https://api-docs.runway.team/reference/models/WebhookFixRequestPayload.md) - [WebhookFixRequestReleaseEntity](https://api-docs.runway.team/reference/models/WebhookFixRequestReleaseEntity.md) - [WebhookFixRequestStepRunEntity](https://api-docs.runway.team/reference/models/WebhookFixRequestStepRunEntity.md) - [WebhookFixRequestEntity](https://api-docs.runway.team/reference/models/WebhookFixRequestEntity.md) - [WebhookFixRequestWorkItemEntity](https://api-docs.runway.team/reference/models/WebhookFixRequestWorkItemEntity.md) - [BuildDistroBuildUploadRequestFormData](https://api-docs.runway.team/reference/models/BuildDistroBuildUploadRequestFormData.md) - [BuildDistroBuildAdditionalFileUploadRequestFormData](https://api-docs.runway.team/reference/models/BuildDistroBuildAdditionalFileUploadRequestFormData.md) - [PublicTimelineEvent](https://api-docs.runway.team/reference/models/PublicTimelineEvent.md) - [AppStoreVersionData](https://api-docs.runway.team/reference/models/AppStoreVersionData.md) - [ReleaseStepData](https://api-docs.runway.team/reference/models/ReleaseStepData.md) - [StepRunData](https://api-docs.runway.team/reference/models/StepRunData.md) - [ScheduleCadenceEntity](https://api-docs.runway.team/reference/models/ScheduleCadenceEntity.md) - [LifecycleFreezeSetEntity](https://api-docs.runway.team/reference/models/LifecycleFreezeSetEntity.md) - [LifecycleFreezeSetInput](https://api-docs.runway.team/reference/models/LifecycleFreezeSetInput.md) - [UpdateLifecycleFreezesRequestBody](https://api-docs.runway.team/reference/models/UpdateLifecycleFreezesRequestBody.md) - [CadenceTargetSetEntity](https://api-docs.runway.team/reference/models/CadenceTargetSetEntity.md) - [ReleaseScheduleEntryEntity](https://api-docs.runway.team/reference/models/ReleaseScheduleEntryEntity.md) - [AppStoreReviewsEntity](https://api-docs.runway.team/reference/models/AppStoreReviewsEntity.md) - [AppStoreReviewEntity](https://api-docs.runway.team/reference/models/AppStoreReviewEntity.md) - [AppStoreReviewDestinationEntity](https://api-docs.runway.team/reference/models/AppStoreReviewDestinationEntity.md) - [AppEntity](https://api-docs.runway.team/reference/models/AppEntity.md) - [OrgMetricsEntity](https://api-docs.runway.team/reference/models/OrgMetricsEntity.md) - [OrgMetricEntity](https://api-docs.runway.team/reference/models/OrgMetricEntity.md) - [IntegrationEntity](https://api-docs.runway.team/reference/models/IntegrationEntity.md) - [OrgEntity](https://api-docs.runway.team/reference/models/OrgEntity.md) - [AppPlatform](https://api-docs.runway.team/reference/models/AppPlatform.md) - [ReleaseStatus](https://api-docs.runway.team/reference/models/ReleaseStatus.md) - [ReleaseType](https://api-docs.runway.team/reference/models/ReleaseType.md) - [CreateEditReleaseType](https://api-docs.runway.team/reference/models/CreateEditReleaseType.md) - [UserAction](https://api-docs.runway.team/reference/models/UserAction.md) - [BuildDistroAutomation](https://api-docs.runway.team/reference/models/BuildDistroAutomation.md) - [ReleaseTimelinePhase](https://api-docs.runway.team/reference/models/ReleaseTimelinePhase.md) - [ReleaseStepType](https://api-docs.runway.team/reference/models/ReleaseStepType.md) - [ReleaseRegressionTestingStatus](https://api-docs.runway.team/reference/models/ReleaseRegressionTestingStatus.md) - [Release](https://api-docs.runway.team/reference/models/Release.md) - [ReleaseEntity](https://api-docs.runway.team/reference/models/ReleaseEntity.md) - [CustomMetadata](https://api-docs.runway.team/reference/models/CustomMetadata.md) - [CustomMetadataEntry](https://api-docs.runway.team/reference/models/CustomMetadataEntry.md) - [GroupEntity](https://api-docs.runway.team/reference/models/GroupEntity.md) - [UserGroupsForUserPutRequestForm](https://api-docs.runway.team/reference/models/UserGroupsForUserPutRequestForm.md) - [UserGroupsForUserPutResponse](https://api-docs.runway.team/reference/models/UserGroupsForUserPutResponse.md) - [UserGroupsForUsersSummary](https://api-docs.runway.team/reference/models/UserGroupsForUsersSummary.md) - [UserGroupsForUsersPutResponse](https://api-docs.runway.team/reference/models/UserGroupsForUsersPutResponse.md) - [CIBuildEntity](https://api-docs.runway.team/reference/models/CIBuildEntity.md) - [CIBuildRequestEntity](https://api-docs.runway.team/reference/models/CIBuildRequestEntity.md) - [AppStoreBuildEntity](https://api-docs.runway.team/reference/models/AppStoreBuildEntity.md) - [CIBuildWorkflowData](https://api-docs.runway.team/reference/models/CIBuildWorkflowData.md) - [CustomCIBuildUploadRequestFormData](https://api-docs.runway.team/reference/models/CustomCIBuildUploadRequestFormData.md) - [CustomCIBuildAdditionalFileUploadRequestFormData](https://api-docs.runway.team/reference/models/CustomCIBuildAdditionalFileUploadRequestFormData.md) - [BuildDistroBuildTester](https://api-docs.runway.team/reference/models/BuildDistroBuildTester.md) - [BucketMember](https://api-docs.runway.team/reference/models/BucketMember.md) - [BucketRule](https://api-docs.runway.team/reference/models/BucketRule.md) - [BuildDistroBuildStatus](https://api-docs.runway.team/reference/models/BuildDistroBuildStatus.md) - [BuildDistroAdditionalArtifact](https://api-docs.runway.team/reference/models/BuildDistroAdditionalArtifact.md) - [BuildDistroBuildEntity](https://api-docs.runway.team/reference/models/BuildDistroBuildEntity.md) - [CustomCIBuildEntity](https://api-docs.runway.team/reference/models/CustomCIBuildEntity.md) - [BuildDistroBucketEntity](https://api-docs.runway.team/reference/models/BuildDistroBucketEntity.md) - [IntegrationAuthUpdateEntity](https://api-docs.runway.team/reference/models/IntegrationAuthUpdateEntity.md) - [CustomEventEntity](https://api-docs.runway.team/reference/models/CustomEventEntity.md) - [NotificationEntity](https://api-docs.runway.team/reference/models/NotificationEntity.md) - [AutomationEntity](https://api-docs.runway.team/reference/models/AutomationEntity.md) - [WorkItem](https://api-docs.runway.team/reference/models/WorkItem.md) - [WorkItemTicket](https://api-docs.runway.team/reference/models/WorkItemTicket.md) - [WorkItemCodeCommit](https://api-docs.runway.team/reference/models/WorkItemCodeCommit.md) - [WorkItemCodePullRequest](https://api-docs.runway.team/reference/models/WorkItemCodePullRequest.md) - [BucketStatus](https://api-docs.runway.team/reference/models/BucketStatus.md) - [BucketType](https://api-docs.runway.team/reference/models/BucketType.md) - [CodeStatus](https://api-docs.runway.team/reference/models/CodeStatus.md) - [CodeType](https://api-docs.runway.team/reference/models/CodeType.md) - [PullRequestStatus](https://api-docs.runway.team/reference/models/PullRequestStatus.md) - [IntegrationType](https://api-docs.runway.team/reference/models/IntegrationType.md) - [ReleaseStepStatus](https://api-docs.runway.team/reference/models/ReleaseStepStatus.md) - [CIBuildStatus](https://api-docs.runway.team/reference/models/CIBuildStatus.md) - [CIIntegrationId](https://api-docs.runway.team/reference/models/CIIntegrationId.md) - [ReleaseStepEntity](https://api-docs.runway.team/reference/models/ReleaseStepEntity.md) - [StepRunEntity](https://api-docs.runway.team/reference/models/StepRunEntity.md) - [StepEntity](https://api-docs.runway.team/reference/models/StepEntity.md) - [ChecklistItemStatusType](https://api-docs.runway.team/reference/models/ChecklistItemStatusType.md) - [ChecklistItemStatus](https://api-docs.runway.team/reference/models/ChecklistItemStatus.md) - [UserGroup](https://api-docs.runway.team/reference/models/UserGroup.md) - [ChecklistItemComment](https://api-docs.runway.team/reference/models/ChecklistItemComment.md) - [ChecklistItemEntity](https://api-docs.runway.team/reference/models/ChecklistItemEntity.md) - [ChecklistItemPlacement](https://api-docs.runway.team/reference/models/ChecklistItemPlacement.md) - [GoogleStagedRollout](https://api-docs.runway.team/reference/models/GoogleStagedRollout.md) - [GooglePlayVersionState](https://api-docs.runway.team/reference/models/GooglePlayVersionState.md) - [GooglePlayStoreData](https://api-docs.runway.team/reference/models/GooglePlayStoreData.md) - [ApplePhasedRelease](https://api-docs.runway.team/reference/models/ApplePhasedRelease.md) - [AppStoreDataType](https://api-docs.runway.team/reference/models/AppStoreDataType.md) - [AppleAppStoreData](https://api-docs.runway.team/reference/models/AppleAppStoreData.md) - [ApprovalReleaseStepData](https://api-docs.runway.team/reference/models/ApprovalReleaseStepData.md) - [RegressionReleaseStepData](https://api-docs.runway.team/reference/models/RegressionReleaseStepData.md) - [FeatureReadinessReleaseStepData](https://api-docs.runway.team/reference/models/FeatureReadinessReleaseStepData.md) - [StoreReleaseStepData](https://api-docs.runway.team/reference/models/StoreReleaseStepData.md) - [RolloutStepRunData](https://api-docs.runway.team/reference/models/RolloutStepRunData.md) - [PhasedReleaseData](https://api-docs.runway.team/reference/models/PhasedReleaseData.md) - [MonitoringStatisticEntity](https://api-docs.runway.team/reference/models/MonitoringStatisticEntity.md) - [AppStoreReviewDataEntity](https://api-docs.runway.team/reference/models/AppStoreReviewDataEntity.md) - [AppStoreReviewsIssueEntity](https://api-docs.runway.team/reference/models/AppStoreReviewsIssueEntity.md) - [RegressionTestingTestRunStatusEntity](https://api-docs.runway.team/reference/models/RegressionTestingTestRunStatusEntity.md) - [RegressionTestingTestRunEntity](https://api-docs.runway.team/reference/models/RegressionTestingTestRunEntity.md) - [RegressionTestingStatusType](https://api-docs.runway.team/reference/models/RegressionTestingStatusType.md) - [Error](https://api-docs.runway.team/reference/models/Error.md) - [BaseGroupCreateRequestBody](https://api-docs.runway.team/reference/models/BaseGroupCreateRequestBody.md) - [BaseGroupUpdateRequestBody](https://api-docs.runway.team/reference/models/BaseGroupUpdateRequestBody.md) - [CreateReleaseRequestBody](https://api-docs.runway.team/reference/models/CreateReleaseRequestBody.md) - [ReleaseTag](https://api-docs.runway.team/reference/models/ReleaseTag.md) - [CherryPickCandidateCommit](https://api-docs.runway.team/reference/models/CherryPickCandidateCommit.md) - [CreateReleaseBaseTag](https://api-docs.runway.team/reference/models/CreateReleaseBaseTag.md) - [BaseReleaseUpdateRequestBody](https://api-docs.runway.team/reference/models/BaseReleaseUpdateRequestBody.md) - [UpdateChecklistItemStatusRequestBody](https://api-docs.runway.team/reference/models/UpdateChecklistItemStatusRequestBody.md) - [UpdateChecklistItemCommentRequestBody](https://api-docs.runway.team/reference/models/UpdateChecklistItemCommentRequestBody.md) - [UpdateChecklistItemRequestBody](https://api-docs.runway.team/reference/models/UpdateChecklistItemRequestBody.md) - [CreateApprovalOrRegressionTestingItemRequestBody](https://api-docs.runway.team/reference/models/CreateApprovalOrRegressionTestingItemRequestBody.md) - [CreateTriageIssueRequestBody](https://api-docs.runway.team/reference/models/CreateTriageIssueRequestBody.md) - [SetAutomationPauseRequestBody](https://api-docs.runway.team/reference/models/SetAutomationPauseRequestBody.md) - [AutomationPauseStateEntity](https://api-docs.runway.team/reference/models/AutomationPauseStateEntity.md) - [TriageIssueEntity](https://api-docs.runway.team/reference/models/TriageIssueEntity.md) - [TriageIssueSource](https://api-docs.runway.team/reference/models/TriageIssueSource.md) - [CreateRegressionItemsBatchRequestBody](https://api-docs.runway.team/reference/models/CreateRegressionItemsBatchRequestBody.md) - [BatchCreateChecklistItemsResponse](https://api-docs.runway.team/reference/models/BatchCreateChecklistItemsResponse.md) - [UpdateRegressionItemsBatchRequestBody](https://api-docs.runway.team/reference/models/UpdateRegressionItemsBatchRequestBody.md) - [UpdateRegressionItemStatusRequestItem](https://api-docs.runway.team/reference/models/UpdateRegressionItemStatusRequestItem.md) - [BatchUpdateChecklistItemStatusesResponse](https://api-docs.runway.team/reference/models/BatchUpdateChecklistItemStatusesResponse.md) - [DeleteRegressionItemsBatchRequestBody](https://api-docs.runway.team/reference/models/DeleteRegressionItemsBatchRequestBody.md) - [BatchDeleteChecklistItemsResponse](https://api-docs.runway.team/reference/models/BatchDeleteChecklistItemsResponse.md) - [BatchChecklistItemIdError](https://api-docs.runway.team/reference/models/BatchChecklistItemIdError.md) - [BatchCreateChecklistItemError](https://api-docs.runway.team/reference/models/BatchCreateChecklistItemError.md) - [CreateChecklistItemRequestBody](https://api-docs.runway.team/reference/models/CreateChecklistItemRequestBody.md) - [UpdateMetadataLocalizationRequestItem](https://api-docs.runway.team/reference/models/UpdateMetadataLocalizationRequestItem.md) - [UpdateMetadataRequestBody](https://api-docs.runway.team/reference/models/UpdateMetadataRequestBody.md) - [UpdateRegressionStatusRequestBody](https://api-docs.runway.team/reference/models/UpdateRegressionStatusRequestBody.md) - [UpdateReleaseStepApprovalRequestBody](https://api-docs.runway.team/reference/models/UpdateReleaseStepApprovalRequestBody.md) - [TriggeredBuildEntity](https://api-docs.runway.team/reference/models/TriggeredBuildEntity.md) - [TriggerCIWorkflowEntity](https://api-docs.runway.team/reference/models/TriggerCIWorkflowEntity.md) - [FixRequestEntity](https://api-docs.runway.team/reference/models/FixRequestEntity.md) - [FixRequestUser](https://api-docs.runway.team/reference/models/FixRequestUser.md) - [FixRequestFormFieldSettings](https://api-docs.runway.team/reference/models/FixRequestFormFieldSettings.md) - [FixRequestFormFieldValue](https://api-docs.runway.team/reference/models/FixRequestFormFieldValue.md) - [FixRequestFormFieldsSettingsEntity](https://api-docs.runway.team/reference/models/FixRequestFormFieldsSettingsEntity.md) - [FeatureReadinessItemEntity](https://api-docs.runway.team/reference/models/FeatureReadinessItemEntity.md) - [FeatureFlag](https://api-docs.runway.team/reference/models/FeatureFlag.md) - [FeatureFlagVariation](https://api-docs.runway.team/reference/models/FeatureFlagVariation.md) - [FeatureFlagVariationVariable](https://api-docs.runway.team/reference/models/FeatureFlagVariationVariable.md) - [FeatureFlagRule](https://api-docs.runway.team/reference/models/FeatureFlagRule.md) - [FeatureFlagAudienceCondition](https://api-docs.runway.team/reference/models/FeatureFlagAudienceCondition.md) - [FeatureFlagRuleCondition](https://api-docs.runway.team/reference/models/FeatureFlagRuleCondition.md) - [FeatureFlagWeightedVariation](https://api-docs.runway.team/reference/models/FeatureFlagWeightedVariation.md) - [FeatureFlagAudience](https://api-docs.runway.team/reference/models/FeatureFlagAudience.md) - [FeatureFlagPredicate](https://api-docs.runway.team/reference/models/FeatureFlagPredicate.md)